freeslot(
"SPR_RHTK",
"MT_RHINOTANK",
"S_RHINOTANK_SPAWN",
"S_RHINOTANK_LOOK",
"S_RHINOTANK_CHASE",
"S_RHINOTANK_REV",
"S_RHINOTANK_RAM",
"S_RHINOTANK_MISS"
)




mobjinfo[MT_RHINOTANK] = {
	--$Name "Rhinotank"
	--$Sprite RHTKA1
	--$Category "Sonic Adventure"
spawnstate = S_RHINOTANK_SPAWN,
doomednum = 2524,
seestate = S_RHINOTANK_REV,
painstate = S_RHINOTANK_SPAWN,
deathstate = S_XPLD_FLICKY,
deathsound = sfx_pop,
attacksound = sfx_zoom,
activesound = sfx_s3kc5s,
speed = 5,
radius = 36*FRACUNIT,
height = 70*FRACUNIT,
spawnhealth = 1,
flags = MF_ENEMY|MF_SPECIAL|MF_SHOOTABLE
}


states[S_RHINOTANK_SPAWN] = {
    sprite = SPR_RHTK,
    frame = A, 
	tics = 1,
	nextstate = S_RHINOTANK_LOOK
}	

states[S_RHINOTANK_LOOK] = {
    sprite = SPR_RHTK,
    frame = A, 
	tics = 12,
	action = A_Look,
    var1 = 0+(1800<<16),
    var2 = 0,
	nextstate = S_RHINOTANK_LOOK
}	

states[S_RHINOTANK_REV] = {
    sprite = SPR_RHTK,
    frame = A, 
	tics = 1,
	action =  A_FaceStabRev,
    var1 = 10,
    var2 = S_RHINOTANK_RAM,
	nextstate = S_RHINOTANK_REV
}	

states[S_RHINOTANK_RAM] = {
    sprite = SPR_RHTK,
    frame = E, 
	tics = 1,
	action =  A_FaceStabHurl,
    var1 = 6,
    var2 = S_RHINOTANK_MISS,
	nextstate = S_RHINOTANK_RAM
}	

states[S_RHINOTANK_MISS] = {
    sprite = SPR_RHTK,
    frame = E, 
	tics = 1,
	action =  A_FaceStabMiss,
    var1 = 6,
    var2 = S_RHINOTANK_CHASE,
	nextstate = S_RHINOTANK_MISS
}	

states[S_RHINOTANK_CHASE] = {
    sprite = SPR_RHTK,
    frame = A|FF_ANIMATE, 
    var1 = 3,
    var2 = 3,
	tics = 140,
	nextstate = S_RHINOTANK_LOOK
}	



addHook('MobjThinker',function(mo)
  if mo and mo.valid
     if mo.state == S_RHINOTANK_CHASE
	    A_Chase(mo, 3, 0)
	 elseif mo.state == S_RHINOTANK_REV
	    A_FaceTarget(mo)
	 end
  end
end, MT_RHINOTANK)













